
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k: Replace floating point by integer constants (found by sparse)
Affected drivers:
  - Amiga frame buffer
  - ATI Mach64 frame buffer

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/amifb.c         |    2 +-
 25-akpm/drivers/video/aty/mach64_gx.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/video/amifb.c~m68k-sparse-floating-point drivers/video/amifb.c
--- 25/drivers/video/amifb.c~m68k-sparse-floating-point	2004-07-26 17:25:55.049607520 -0700
+++ 25-akpm/drivers/video/amifb.c	2004-07-26 17:25:55.057606304 -0700
@@ -2351,7 +2351,7 @@ default_chipset:
 	 */
 
 	{
-	u_long tmp = DIVUL(200E9, amiga_eclock);
+	u_long tmp = DIVUL(200000000000ULL, amiga_eclock);
 
 	pixclock[TAG_SHRES] = (tmp + 4) / 8;	/* SHRES:  35 ns / 28 MHz */
 	pixclock[TAG_HIRES] = (tmp + 2) / 4;	/* HIRES:  70 ns / 14 MHz */
diff -puN drivers/video/aty/mach64_gx.c~m68k-sparse-floating-point drivers/video/aty/mach64_gx.c
--- 25/drivers/video/aty/mach64_gx.c~m68k-sparse-floating-point	2004-07-26 17:25:55.051607216 -0700
+++ 25-akpm/drivers/video/aty/mach64_gx.c	2004-07-26 17:25:55.058606152 -0700
@@ -653,7 +653,7 @@ static int aty_var_to_pll_8398(const str
 
 		for (m = MIN_M; m <= MAX_M; m++) {
 			for (n = MIN_N; n <= MAX_N; n++) {
-				tempA = (14.31818 * 65536);
+				tempA = 938356;		/* 14.31818 * 65536 */
 				tempA *= (n + 8);	/* 43..256 */
 				tempB = twoToKth * 256;
 				tempB *= (m + 2);	/* 4..32 */
_
